package com.persagy.filemove.dto;

import com.persagy.filemove.app.SagaFileMoveApp;
import javafx.beans.property.SimpleDoubleProperty;

public class WorkerValidParam extends Thread {
    private SagaFileMoveApp app;
    private SimpleDoubleProperty doubleProperty = new SimpleDoubleProperty(-1);

    public WorkerValidParam(SagaFileMoveApp app) {
        this.app = app;
    }

    public double getDoubleProperty() {
        return doubleProperty.get();
    }

    public SimpleDoubleProperty doublePropertyProperty() {
        return doubleProperty;
    }

    public void setDoubleProperty(double doubleProperty) {
        this.doubleProperty.set(doubleProperty);
    }

    @Override
    public void run() {
        while("".equals(app.getTips())) {
            try {
                Thread.sleep(500);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        setDoubleProperty(1.0);
    }
}
